| Home | Libraries | People | FAQ | More

## Struct template make_vector_type

boost::compute::make_vector_type

## Synopsis

    // In header: <boost/compute/type_traits/make_vector_type.hpp>

    template<typename Scalar, size_t Size>
    struct make_vector_type {
    };

## Description

Meta-function which returns a vector type for `Scalar` with `Size`.

For example,

    make_vector_type<int, 2>::type == int2_
    make_vector_type<float, 4>::type == float4_

See Also:

is_vector_type